Subject: RE: comment on the LDP MIB requirement

From: "Chung, Li-Jin W, ALABS" <[email-masked]>
Date: Mon, 30 Jun 2003 17:14:03 -0500

Tom,

Thank you for your clarification. Please see my added notes. 

Li Chung

-----Original Message-----
From: Thomas D. Nadeau [mailto:[email-masked]]
Sent: Monday, June 30, 2003 5:01 PM
To: Chung, Li-Jin W, ALABS; Ash, Gerald R (Jerry), ALABS; 'Loa
Andersson'; 'MPLS WG'
Cc: 'George Swallow'; Lai, Wai S (Waisum), ALABS
Subject: RE: comment on the LDP MIB requirement

> -----Original Message-----
> From: Chung, Li-Jin W, ALABS [mailto:[email-masked]] 
> Sent: Monday, June 30, 2003 4:36 PM
> To: [email-masked]; Ash, Gerald R (Jerry), ALABS; Loa 
> Andersson; MPLS WG
> Cc: George Swallow; Lai, Wai S (Waisum), ALABS
> Subject: RE: comment on the LDP MIB requirement
> 
> 
> Tom,
> 
> Just to set the record straignt, this is my recollection of 
> what I did last year.
> (1) I did not present any thing at all.

	Your draft was published first shortly before
the MIB doctor meeting in Atlanta.

 >> yes, but did not given a chance to present. 

> (2) I do not know what change that you are referring here. 

	You asked us to add the ifIndex to the sessionDown/up
notifications in the LDP MIB, which being a non-major change,
we all agreed could be made.

>> Yes, thank you. 

> (3) As far as I remember, no agreement was reached at last 
> year's meeting. 

	Then I suggest you to re-read the meeting minutes.
There were definite agreements made, as I mentioned.
Specifically, the chair of the meeting suggested 
(and we all agreed to this) that the purpose of the meeting
was to get the existing MIBs into shape. This did NOT include
any enhancements (many of which were proposed in your ID).
Instead, it was noted that these would be put off as
future work.

>> OK. So, one year has passed by and how much more "put off" that we
can afford to wait. I would suggest that we put those enhancements
proposal on the table again for managability sake (its about time). As
you already know, we, as a service provider, need those capabilities to
manage our MPLS network. 

	--Tom

> Thanks,
> 
> Li Chung
> 
> -----Original Message-----
> From: Thomas D. Nadeau [mailto:[email-masked]]
> Sent: Sunday, June 29, 2003 3:56 PM
> To: Ash, Gerald R (Jerry), ALABS; 'Loa Andersson'; 'MPLS WG'
> Cc: 'George Swallow'; Lai, Wai S (Waisum), ALABS; Chung, 
> Li-Jin W, ALABS
> Subject: RE: comment on the LDP MIB requirement
> 
> 
> 
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On Behalf
> > Of Ash, Gerald R (Jerry), ALABS
> > Sent: Thursday, June 26, 2003 12:41 PM
> > To: Loa Andersson; MPLS WG
> > Cc: Ash, Gerald R (Jerry), ALABS; George Swallow; Lai, Wai S 
> > (Waisum), ALABS; Chung, Li-Jin W, ALABS
> > Subject: RE: comment on the LDP MIB requirement
> > 
> > 
> > Loa, All,
> > 
> > > I had to read back a bit to understand the impact of the 
> input from
> > > Wai Sum and Jerry. The working group last call has ended 
> > but I would
> > > nevertheless like to make this comment:
> > > 
> > >   - the draft-lai-mpls-mib-rqmts-00.txt includes requirements that
> > >     will make changes to the LDP necessary
> > 
> > Loa, I'm surprised that you would just parrot this claim
> > without technical backup.  This is merely an unsubstantiated 
> > assertion by 2 of the MPLS MIB authors, to deflect the 
> > requirements in yet one more creative way.  No response was 
> > made to Eric Gray's post requesting specifics to back this up 
> > http://cell.onecall.net/mhonarc/mpls/current/msg00130.html.
> > 
> > Various posts over the past year have requested specific MPLS
> > MIB extensions to meet identified gaps (see below).  When the 
> > specifics were rejected, then a different approach was tried 
> > to request designers to propose enhancements to meet 
> > requirements 
> > http://cell.onecall.net/mhonarc/mpls/2003-May/msg00006.html, 
> > again without any forward motion.  
> > 
> > Despite all this effort to meet a few critical SP
> > requirements, no attempt has been made to address the 
> > requirements or the specific MIB enhancement proposals:
> > 
> > Li Chung initially posted specific enhancements/needs to the
> > MPLS list on June 27, 2002 
> > http://cell.onecall.net/mhonarc/mpls/2002-Jun/msg00159.html.  
> > Go back and review the thread, the specific extensions were 
> > not addressed.
> > 
> > Wai Sum Lai initially posted to the ppvpn list on August 19,
> > 2002 (message attached below, ppvpn archives don't go back 
> > that far).  The specific extensions were not addressed, Tom 
> > requested and got substantiation of the needs, but that was 
> > the end of the discussion.
> > 
> > > - the LDP MIB is based on the current LDP spec, thus it is my take
> > >    that the draft is outside the scope of the current last call
> > 
> > No changes to the LDP spec are proposed or needed.  Therefore
> > the requirements and proposed extensions, made for one year 
> > on the list, are well within the LDP MIB discussion window.  
> > They merely haven't been seriously addressed.
> 
> 	Jerry, 
> 
> 	Let me parrot the meeting minutes from the
> MIB doctor review meeting we had in Atlanta last 
> Fall. The things proposed in the document in question were 
> discussed at the MIB Doctor's meeting and it was decided and 
> agreed upon at that time that we would not include any of 
> the changes that Li presented (that now appear in this 
> document)  at that time.  Instead, they were left for future 
> study and/or inclusion in future I-Ds. We did in fact include 
> one change that Li requested (that is not in the document in 
> question), BTW.
> 
> 	--Tom
> 
> 
>